Bug 122151 - security/gnome-keyring fails to build
Summary: security/gnome-keyring fails to build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-27 10:50 UTC by Stefan Sperling
Modified: 2008-04-05 18:16 UTC (History)
0 users

See Also:


Attachments
file.diff (453 bytes, patch)
2008-03-27 10:50 UTC, Stefan Sperling
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Sperling 2008-03-27 10:50:02 UTC
	security/gnome-keyring fails to build with this error:

	 cc -DHAVE_CONFIG_H -I. -I.. -DPREFIX=\"/usr/local\" -DBINDIR=\"/usr/local/bin\" -DLIBEXECDIR=\"/usr/local/libexec\" -DGNOMELOCALEDIR=\"/usr/local/share/locale\" -I.. -I.. -I/usr/local/include/dbus-1.0 -I/usr/local/include/dbus-1.0/include -DGKR_DBUS_MAJOR_VERSION=1 -DGKR_DBUS_MINOR_VERSION=1 -DGKR_DBUS_MICRO_VERSION=20 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -O2 -fno-strict-aliasing -pipe -MT gnome-keyring.lo -MD -MP -MF .deps/gnome-keyring.Tpo -c gnome-keyring.c  -fPIC -DPIC -o .libs/gnome-keyring.o
gnome-keyring.c: In function `gnome_keyring_daemon_prepare_environment_sync':
gnome-keyring.c:1792: error: `environ' undeclared (first use in this function)
gnome-keyring.c:1792: error: (Each undeclared identifier is reported only once
gnome-keyring.c:1792: error: for each function it appears in.)
gmake[3]: *** [gnome-keyring.lo] Error 1

	The code seems to assume that the global variabel 'environ'
	has already been declared somewhere -- it's cast to a const gchar**,
	which from looking at the glib headers is just a const char**.

	It looks like in FreeBSD code should explicitly declare
	extern char **environ; before using it, see environ(7).

Fix: I've added this patch and now it compiles, no idea if it runs,
	but I don't really care since this port just got pulled
	in as a dependency. I'll never really it use anyway.

stsp@ted [gnome-keyring] $ cat files/patch-library_gnome-keyring.c 
How-To-Repeat: 	This happened to me first during 'portmaster -auD', and I can reproduce
	it by running:
	cd /usr/ports/security/gnome-keyring && make
Comment 1 Edwin Groothuis freebsd_committer 2008-03-27 11:01:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Jeremy Messenger 2008-03-27 16:06:51 UTC
We already have similar patch, so do you have  
gnome-keyring/files/patch-library_gnome-keyring.c ?

http://www.freebsd.org/cgi/cvsweb.cgi/ports/security/gnome-keyring/files/patch-library_gnome-keyring.c

Cheers,
Mezz


-- 
mezz7@cox.net  -  mezz@FreeBSD.org
FreeBSD GNOME Team
http://www.FreeBSD.org/gnome/  -  gnome@FreeBSD.org
Comment 3 Stefan Sperling 2008-03-29 12:55:07 UTC
On Thu, Mar 27, 2008 at 11:06:51AM -0500, Jeremy Messenger wrote:
> We already have similar patch, so do you have 
> gnome-keyring/files/patch-library_gnome-keyring.c ?
> 
> http://www.freebsd.org/cgi/cvsweb.cgi/ports/security/gnome-keyring/files/patch-library_gnome-keyring.c


For some reason, the port didn't have the file folder at
all in my checkout of the ports tree :/

Now I've got the patch, along with all the other patches.

Thanks!
-- 
stefan
http://stsp.name                                         PGP Key: 0xF59D25F0
Comment 4 Jeremy Messenger freebsd_committer 2008-04-05 18:16:27 UTC
State Changed
From-To: open->closed

The file was missing for some reason in his system, it's fixed after update 
his ports tree again.